Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface ColumnInformationHome

public interface ColumnInformationHome
extends BaseHome

Portal Column Information ejb home interface.

Method Summary
`ColumnInformation` | `create(ColumnInformationPK pk)` Create the ColumnInformation.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortalName)` Find all column information by portal name.
`java.util.Enumeration` | `findByPortalAndCategory(java.lang.String aPortalName, java.lang.String aCategoryName)` Find column information(s) by portal and category.
`ColumnInformation` | `findByPrimaryKey(ColumnInformationPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public ColumnInformation create(ColumnInformationPK pk)
                             throws javax.ejb.CreateException,
                                    java.rmi.RemoteException

  Create the ColumnInformation.
  Parameters:
    `pk` - the primary key for the column information.
  Returns:
    `ColumnInformation` the column information.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### findByPrimaryKey

    public ColumnInformation findByPrimaryKey(ColumnInformationPK pk)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the column information primary key.
  Returns:
    `ColumnInformation` the column information for the primary key.
  Throws:
    `FinderException` - error finding the column information.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortalName)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find all column information by portal name.
  Parameters:
    `aPortalName` - the portal name.
  Returns:
    `Enumeration` the column information.
  Throws:
    `FinderException` - error finding the info.
    `RemoteException` - container error.

### findByPortalAndCategory

    public java.util.Enumeration findByPortalAndCategory(java.lang.String aPortalName,
                                                         java.lang.String aCategoryName)
                                                  throws javax.ejb.FinderException,
                                                         java.rmi.RemoteException

  Find column information(s) by portal and category.
  Parameters:
    `aPortalName` - the portal name.
    `aCategoryName` - the category name.
  Returns:
    `Enumeration` all of the column informations that match the portal and category.
  Throws:
    `FinderException` - error finding the info.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved